
Redmine - Defect #11178

Spent time sorted by date-descending order lists same-date entries in physical order (not-reverse)

2012-06-15 18:46 - Constantine Dokolas

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 2.0.3   

Resolution: Fixed Affected version: 1.4.1

Description

We use the Bitnami stack at work and I've realized that date-sorting spent times always has a secondary sort of "physical

order"-ascending (I don't know of a better way of expressing it).

This way, when I enter two different spent times on the same date (usually under the same issue) and then get a report, the last entry

appears second from top.

Could you fix it so that when the date order is reversed, the physical order is reversed as well?

Associated revisions

Revision 9837 - 2012-06-16 22:09 - Jean-Philippe Lang

Fixed that time entries should be sorted by date and created_on (#11178).

History

#1 - 2012-06-16 22:09 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.0.3

- Resolution set to Fixed

This should be fixed in r9837.

#2 - 2012-06-17 11:01 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.4 and 2.0.
